camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From akshay_ajmani <akshay.ajm...@gmail.com>
Subject Re: camel + service mix + spring aspect
Date Mon, 06 Jul 2009 14:13:56 GMT

Yes I can use that for getting service mix version.But then I get an error
for missing artifacts related to  
<plugin>
        <groupId>org.apache.servicemix.tooling</groupId>
        <artifactId>jbi-maven-plugin</artifactId>
        <version>${servicemix-version}</version>
        <extensions>true</extensions>
      </plugin>
Can you please tell me what version for the jbi-maven-plugin should I use

willem.jiang wrote:
> 
> Hi,
> 
> You need to use
> http://repo.open.iona.com/maven2/
> for the released fuse version of service.
> 
> Willem
> 
> akshay_ajmani wrote:
>> Hi,
>>    This is my new pom.xml. I changed the service mix version as follows:
>> <servicemix-version>3.4.0-fuse</servicemix-version>
>> 
>> But now it is giving me errors related to artifacts not found.Missing:
>> ----------
>> 1) org.apache.servicemix:servicemix-camel:jar:3.4.0-fuse
>> 
>> I was getting the same errors for jbi-maven-plugin, so I changed the
>> version
>> for this to 3.3.1.17-fuse.
>> 
>> Repositories that I am using are:
>> 1)http://repo.open.iona.com/maven2-snapshot
>> 2)http://people.apache.org/repo/m2-ibiblio-rsync-repository
>> 3)http://people.apache.org/repo/m2-snapshot-repository
>> 
>> Please let me know the correct versions to use and repository locations.
>> 
>> 
>> 
>> My properties tag in pom.xml is as follows:
>> <properties>
>>     		<servicemix-jbi-version>3.3.1.17-fuse</servicemix-jbi-version>
>>     		<servicemix-version>3.4.0-fuse</servicemix-version>
>>     <camel-version>1.6.0</camel-version> <!-- 1.4.0 original value
-->
>>   </properties>
>> 
>> 
>> http://www.nabble.com/file/p24355125/pom.xml pom.xml 
>> 
>> Claus Ibsen-2 wrote:
>>>>> I have spring core 2.5.6 jar which does not have this method
>>>>> defined.Is
>>>>> my
>>>>> POM.xml correct as I think I may need to change the version of the jar
>>>>> to
>>>>> make this work.
>>> Hi
>>>
>>> You are using an old version of ServiceMix 3.3.x that uses Spring 2.0.x.
>>> And Camel 1.6.0 uses Spring 2.5.x. Camel 1.6.1 and newer should work
>>> better with Spring 2.0.x.
>>> So try using 1.6.1 instead and keep the old spring 2.0.x jars.
>>>
>>> Or you could consider upgrading SMX also to 3.4.x as it uses Spring
>>> 2.5.x
>>> AFAIR.
>>>
>>>            <servicemix-version>3.3.1.17-fuse</servicemix-version>
>>>    <camel-version>1.6.0</camel-version> <!-- 1.4.0 original value
-->
>>>
>>>
>>>
>>> -- 
>>> Claus Ibsen
>>> Apache Camel Committer
>>>
>>> Open Source Integration: http://fusesource.com
>>> Blog: http://davsclaus.blogspot.com/
>>> Twitter: http://twitter.com/davsclaus
>>>
>>>
>> 
> 
> 
> 

-- 
View this message in context: http://www.nabble.com/camel-%2B-service-mix-%2B-spring-aspect-tp24307030p24356206.html
Sent from the Camel - Users mailing list archive at Nabble.com.


Mime
View raw message